# This file is intended to be used when you want the latest installed version of
# ftcsim

# Find all ftcsim installations with setup.sh files, sort them, and take the
# last one (which should be the latest, assuming lexicographic sorting and
# strictly increasing version numbers).
setup=`find /usr/share -path /usr/share/ftcsim-'*'/setup.sh | sort | tail -n 1`

if [ -z $setup ]; then
  echo "ERROR: Couldn't find a ftcsim setup.sh in /usr/share"
  false
elif [ ! -f $setup ]; then
  echo "ERROR: Setup file $setup doesn't exist"
  false
else
  # Otherwise, looks good.  Source it.
  . $setup
fi
